Bug 1409987 - "--satellite" option hasn't been defined in virt-who man page but it can be used
Summary: "--satellite" option hasn't been defined in virt-who man page but it can be used
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-who
Version: 6.9
Hardware: x86_64
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Chris Snyder
QA Contact: Eko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-04 06:13 UTC by Liushihui
Modified: 2017-12-11 16:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-06 12:43:41 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Liushihui 2017-01-04 06:13:28 UTC
Description of problem:
Although "--satellite" option still can be used to send associations to the Satellite 5, it hasn't been defined on virt-who man page.

Version-Release number of selected component (if applicable):
virt-who-0.18-1.el6.noarch
subscription-manager-1.18.6-1.el6.x86_64
python-rhsm-1.18.6-1.el6.x86_64
satellite5.7

How reproducible:
Always

Steps to Reproduce:
1. Run virt-who in CLI mode with --satellite option, it can send mapping info to satellite5.7
[root@hp-z220-05 virt-who.d]# virt-who --satellite --satellite-server=satellite57jan3.redhat.com --satellite-username=admin --satellite-password=redhat --esx --esx-owner=Default_Organization --esx-env=Library --esx-server=10.73.3.161 --esx-username=Administrator@vsphere.local --esx-password=Welcome1! -o 
2017-01-04 01:06:51,956 INFO: Using configuration "env/cmdline" ("esx" mode)
2017-01-04 01:06:51,957 INFO: Using reporter_id='hp-z220-05.qe.lab.eng.nay.redhat.com'
2017-01-04 01:06:52,301 INFO: Sending update in hosts-to-guests mapping: 2 hypervisors and 1 guests found
2017-01-04 01:06:52,581 INFO: Mapping for config "env/cmdline" updated

2. Check virt-who man page.
[root@hp-z220-05 virt-who.d]# man virt-who
       --satellite5
              Report host/guest associations to the Satellite 5 server
   Satellite 5 options:
              Use these options with --satellite5
       2. Satellite 5

              #  virt-who  --satellite5  --satellite-server=SAT_SERVER   --satellite-username=SAT_USERNAME   --satellite-pass-
              word=SAT_PASSWORD

              This option can’t be used for monitoring local guests, use rhn-virtualization-host instead.


Actual results:
Although "--satellite" option still can be used to report host/guest  associations to the Satellite 5 server, it hasn't been defined on virt-who man page.

Expected results:
"--satellite" option should be defined on virt-who man page. it's the same as "--satellite5" option.

Additional info:

Comment 5 Jan Kurik 2017-12-06 12:43:41 UTC
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/


Note You need to log in before you can comment on or make changes to this bug.